<template>
  <section class="container width-article clearfix">
    <div v-if="firstArticle" class="list-article mb56">
      <div class="row">
        <article class="art_item art_item_top">
          <div class="ava">
            <nuxt-link :to="firstArticle.nuxt_url" class="thumb_img thumb_5x2">
              <img
                :src="
                  resizeImage(baseImageUrl + firstArticle.thumbnail, 1000, 450)
                "
              />
            </nuxt-link>
          </div>
          <div class="content">
            <div class="flex tag">
              <nuxt-link :to="firstArticle.category.nuxt_url" class="folder">
                {{ firstArticle.category.name }}
              </nuxt-link>
              <span>
                By
                <a href="javascript:;" class="color-main">
                  {{ firstArticle.created_by.name }}
                </a>
                | {{ firstArticle.created_at }}
              </span>
            </div>
            <h3 class="title_news">
              <nuxt-link :to="firstArticle.nuxt_url">
                {{ firstArticle.title }}
              </nuxt-link>
            </h3>
            <div class="description">
              {{ firstArticle.description }}
            </div>
          </div>
        </article>
      </div>
      <div v-if="otherArticles.length" class="gird gird_2">
        <article
          v-for="article in otherArticles"
          :key="article.id"
          class="art_item"
        >
          <div class="ava">
            <nuxt-link :to="article.nuxt_url" class="thumb_img thumb_5x2">
              <img
                :src="resizeImage(baseImageUrl + article.thumbnail, 484, 220)"
              />
            </nuxt-link>
          </div>
          <div class="content">
            <div class="flex tag">
              <nuxt-link :to="article.category.nuxt_url" class="folder">
                {{ article.category.name }}
              </nuxt-link>
              <span>
                By
                <a href="javascript:;" class="color-main">
                  {{ article.created_by.name }}
                </a>
                | {{ article.created_at }}
              </span>
            </div>
            <h3 class="title_news">
              <nuxt-link :to="article.nuxt_url">
                {{ article.title }}
              </nuxt-link>
            </h3>
            <div class="description">
              {{ article.description | truncate(120) }}
            </div>
          </div>
        </article>
      </div>
      <div v-if="links.next" class="center mt16">
        <a
          class="btn btn-default color-white"
          href="javascript:;"
          style="padding: 0 80px;"
          @click.prevent="fetchArticles(links.next)"
        >
          Xem thêm
        </a>
      </div>
    </div>
    <div v-else class="box_search_null">
      <img src="/css/images/graphics/Null.png" />
      <h4>Không tìm thấy kết quả</h4>
      <p>
        Thử kiểm tra lỗi chính tả của từ khóa đã nhập hoặc thử lại bằng từ khóa
        khác
      </p>
    </div>
  </section>
</template>

<script>
import Helper from '../../assets/config'

export default {
  name: 'ArticleList',
  // eslint-disable-next-line vue/require-prop-types
  props: ['articles', 'links', 'fetchArticles'],
  computed: {
    baseImageUrl() {
      return Helper.baseImageUrl
    },
    firstArticle() {
      return this.articles[0]
    },
    otherArticles() {
      return this.articles.slice(1) || []
    },
  },
  methods: {
    resizeImage(url, width, height) {
      return Helper.resizeImage(url, width, height)
    },
  },
}
</script>
